WinUser.AddUserResultType (install4j help)
Date: 2010-09-29

## install4j API documentation

## com.install4j.api.windows
Class WinUser.AddUserResultType

    java.lang.Object
      com.install4j.api.windows.WinUser.AddUserResultType

Enclosing class:
  WinUser

    public static class WinUser.AddUserResultType

extends java.lang.Object

The type of result returned by `WinUser.addUser(java.lang.String, java.lang.String, java.lang.String, com.install4j.api.windows.WinUser.GroupCreationMode, java.lang.String, java.lang.String)`

Field Summary
`static WinUser.AddUserResultType` | `ERROR_ACCESS_DENIED` The current user has no access to the user database or the operation is only allowed on the primary domain controller of the domain.
`static WinUser.AddUserResultType` | `ERROR_GROUP_EXISTS` The group that should be newly created already exists.
`static WinUser.AddUserResultType` | `ERROR_GROUP_NOT_FOUND` The group that should already exist could not be found.
`static WinUser.AddUserResultType` | `ERROR_OTHER` Another type of error occurred during user creation.
`static WinUser.AddUserResultType` | `ERROR_PASSWORD_REQUIREMENTS` The password does not meet the password policy requirements.
`static WinUser.AddUserResultType` | `ERROR_USER_EXISTS` The group that should already exist could not be found.
`static WinUser.AddUserResultType` | `SUCCESS` The user creation and the optional local group creation succeeded.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUCCESS

    public static final WinUser.AddUserResultType SUCCESS

  The user creation and the optional local group creation succeeded.

### ERROR_ACCESS_DENIED

    public static final WinUser.AddUserResultType ERROR_ACCESS_DENIED

  The current user has no access to the user database or the operation is only allowed on the primary domain controller of the domain.

### ERROR_GROUP_EXISTS

    public static final WinUser.AddUserResultType ERROR_GROUP_EXISTS

  The group that should be newly created already exists.

### ERROR_GROUP_NOT_FOUND

    public static final WinUser.AddUserResultType ERROR_GROUP_NOT_FOUND

  The group that should already exist could not be found.

### ERROR_USER_EXISTS

    public static final WinUser.AddUserResultType ERROR_USER_EXISTS

  The group that should already exist could not be found.

### ERROR_PASSWORD_REQUIREMENTS

    public static final WinUser.AddUserResultType ERROR_PASSWORD_REQUIREMENTS

  The password does not meet the password policy requirements. Check the minimum password length, password complexity, and password history requirements.

### ERROR_OTHER

    public static final WinUser.AddUserResultType ERROR_OTHER

  Another type of error occurred during user creation.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`